[MIR] python-importlib-metadata (required by kombu)

Bug #1851393 reported by Matthias Klose
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kombu (Ubuntu)
High
Corey Bryant
more-itertools (Ubuntu)
High
Corey Bryant
python-importlib-metadata (Ubuntu)
High
Corey Bryant
python-zipp (Ubuntu)
High
Corey Bryant

Bug Description

this is now pulled in by kombu. It might not be needed once python3.8 is the default python3.

python3-kombu -> python3-importlib-metadata -> python3-zipp -> python3-more-itertools

Matthias Klose (doko)
Changed in python-zipp (Ubuntu):
status: New → Incomplete
Changed in more-itertools (Ubuntu):
status: New → Incomplete
importance: Undecided → High
Changed in python-importlib-metadata (Ubuntu):
importance: Undecided → High
Changed in python-zipp (Ubuntu):
importance: Undecided → High
Changed in more-itertools (Ubuntu):
assignee: nobody → Ubuntu OpenStack (ubuntu-openstack)
Changed in python-importlib-metadata (Ubuntu):
assignee: nobody → Ubuntu OpenStack (ubuntu-openstack)
Changed in python-zipp (Ubuntu):
assignee: nobody → Ubuntu OpenStack (ubuntu-openstack)
Matthias Klose (doko)
tags: added: rls-ff-incoming
Revision history for this message
Corey Bryant (corey.bryant) wrote :

@doko, I've subscribed OpenStack Ubuntu packagers to this package.

Revision history for this message
Corey Bryant (corey.bryant) wrote :

This appears to be blocking a number of packages from proposed migration in focal.

See python-oslo.messaging "Depends: python-oslo.messaging kombu (not considered)":
https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html

Changed in python-importlib-metadata (Ubuntu):
status: Incomplete → New
Changed in more-itertools (Ubuntu):
status: Incomplete → New
assignee: Ubuntu OpenStack (ubuntu-openstack) → nobody
Changed in python-zipp (Ubuntu):
status: Incomplete → New
Changed in python-importlib-metadata (Ubuntu):
assignee: Ubuntu OpenStack (ubuntu-openstack) → nobody
Changed in python-zipp (Ubuntu):
assignee: Ubuntu OpenStack (ubuntu-openstack) → nobody
Revision history for this message
Matthias Klose (doko) wrote :

yes, but the MIRs for the other two packages are missing

Changed in python-zipp (Ubuntu):
status: New → Incomplete
Changed in more-itertools (Ubuntu):
status: New → Incomplete
description: updated
Revision history for this message
Corey Bryant (corey.bryant) wrote :

[MIR] python-zipp

[Availability]
Currently in universe

[Rationale]
python3-zipp is now pulled in for python3-kombu.

python3-kombu -> python3-importlib-metadata -> python3-zipp -> python3-more-itertools

[Security]
No security history

[Quality Assurance]
Package works out of the box with no prompting. There are no major bugs in Ubuntu and there are no major bugs in Debian. Unit tests are run during build.

[Dependencies]
python3-more-itertools is not in main

[Standards Compliance]
FHS and Debian Policy compliant

[Maintenance]
Simple python package that the OpenStack Team will take care of

[Background]
A pathlib-compatible interface for zip files.
https://zipp.readthedocs.io/en/latest/

Changed in python-zipp (Ubuntu):
status: Incomplete → New
Revision history for this message
Corey Bryant (corey.bryant) wrote :

[MIR] more-itertools

[Availability]
Currently in universe

[Rationale]
python3-more-itertools is now pulled in for python3-kombu.

python3-kombu -> python3-importlib-metadata -> python3-zipp -> python3-more-itertools

[Security]
No security history

[Quality Assurance]
Package works out of the box with no prompting. There are no major bugs in Ubuntu and there are no major bugs in Debian. Unit tests are run during build.

[Dependencies]
All are in main

[Standards Compliance]
FHS and Debian Policy compliant

[Maintenance]
Simple python package that the OpenStack Team will take care of

[Background]
More-itertools collects additional building blocks, recipes,
and routines for working with Python iterables.
https://more-itertools.readthedocs.io/en/stable/

Changed in more-itertools (Ubuntu):
status: Incomplete → New
Revision history for this message
Corey Bryant (corey.bryant) wrote :

[MIR] python-importlib-metadata

[Availability]
Currently in universe

[Rationale]
python3-importlib-metadata is now pulled in for python3-kombu.

python3-kombu -> python3-importlib-metadata -> python3-zipp -> python3-more-itertools

[Security]
No security history

[Quality Assurance]
Package works out of the box with no prompting. There are no major bugs in Ubuntu and there are no major bugs in Debian. Unit tests are run during build.

[Dependencies]
python3-zipp is in universe

[Standards Compliance]
FHS and Debian Policy compliant

[Maintenance]
Simple python package that the OpenStack Team will take care of

[Background]
Provides an API for accessing an installed package’s metadata, such as its
entry points or its top-level name. This functionality intends to replace
most uses of pkg_resources entry point API and metadata API.
https://importlib-metadata.readthedocs.io/en/latest/

Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

Taking the review of these ...

Changed in more-itertools (Ubuntu):
assignee: nobody → Christian Ehrhardt  (paelzer)
Changed in python-importlib-metadata (Ubuntu):
assignee: nobody → Christian Ehrhardt  (paelzer)
Changed in python-zipp (Ubuntu):
assignee: nobody → Christian Ehrhardt  (paelzer)
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

After pre-evaluating the packages of concern in this case it seemed that at least two would need extra security review which would (mind the christmas break) make this take quite some time (and consume time that might be better spent on other reviews). We know (and have verified that python3.8 will have this.

root@f:~# dpkg -S /usr/lib/python3.8/importlib/metadata.py
libpython3.8-minimal:amd64: /usr/lib/python3.8/importlib/metadata.py

We discussed what to do now between:
- doko (AA and python expert)
- coreycb (speaking for openstack)
- myself (speaking for the MIR Team)
=> Follow https://irclogs.ubuntu.com/2019/12/16/%23ubuntu-devel.html#t13:10

The best option seemed:
[15:31] <doko> or we document that in the bug report, and only revisit that when we can't switch to 3.8, and pre-promote now

Changes:
- MIR gets a temporary ack
  - this shall allow these packages to be pre-promoted now
  - this will allow things to migrate and keep component mismatches small
  - once python3.8 is the default, then:
    - kombu will be changed to depend on libpython3.8-minimal instead
    - the three packages here will have to be demoted then
- had the openstack Team subscribe to the packages (responsible for the interim period)
As a reminder for the follow up duties I'll:
- Add a milestone 20.04
- Assign it to coreycb who agreed to do the kombu change once python3.8 is ready

Changed in more-itertools (Ubuntu):
assignee: Christian Ehrhardt  (paelzer) → Corey Bryant (corey.bryant)
Changed in python-importlib-metadata (Ubuntu):
assignee: Christian Ehrhardt  (paelzer) → Corey Bryant (corey.bryant)
Changed in python-zipp (Ubuntu):
assignee: Christian Ehrhardt  (paelzer) → Corey Bryant (corey.bryant)
Changed in more-itertools (Ubuntu):
milestone: none → ubuntu-20.04
Changed in python-importlib-metadata (Ubuntu):
milestone: none → ubuntu-20.04
Changed in python-zipp (Ubuntu):
milestone: none → ubuntu-20.04
Revision history for this message
Matthias Klose (doko) wrote :
Download full text (4.7 KiB)

Override component to main
python-importlib-metadata 0.23-2ubuntu1 in focal: universe/misc -> main
pypy-importlib-metadata 0.23-2ubuntu1 in focal amd64: universe/python/optional/100% -> main
pypy-importlib-metadata 0.23-2ubuntu1 in focal arm64: universe/python/optional/100% -> main
pypy-importlib-metadata 0.23-2ubuntu1 in focal armhf: universe/python/optional/100% -> main
pypy-importlib-metadata 0.23-2ubuntu1 in focal i386: universe/python/optional/100% -> main
pypy-importlib-metadata 0.23-2ubuntu1 in focal ppc64el: universe/python/optional/100% -> main
pypy-importlib-metadata 0.23-2ubuntu1 in focal s390x: universe/python/optional/100% -> main
python-importlib-metadata 0.23-2ubuntu1 in focal amd64: universe/python/optional/100% -> main
python-importlib-metadata 0.23-2ubuntu1 in focal arm64: universe/python/optional/100% -> main
python-importlib-metadata 0.23-2ubuntu1 in focal armhf: universe/python/optional/100% -> main
python-importlib-metadata 0.23-2ubuntu1 in focal i386: universe/python/optional/100% -> main
python-importlib-metadata 0.23-2ubuntu1 in focal ppc64el: universe/python/optional/100% -> main
python-importlib-metadata 0.23-2ubuntu1 in focal s390x: universe/python/optional/100% -> main
python3-importlib-metadata 0.23-2ubuntu1 in focal amd64: universe/python/optional/100% -> main
python3-importlib-metadata 0.23-2ubuntu1 in focal arm64: universe/python/optional/100% -> main
python3-importlib-metadata 0.23-2ubuntu1 in focal armhf: universe/python/optional/100% -> main
python3-importlib-metadata 0.23-2ubuntu1 in focal i386: universe/python/optional/100% -> main
python3-importlib-metadata 0.23-2ubuntu1 in focal ppc64el: universe/python/optional/100% -> main
python3-importlib-metadata 0.23-2ubuntu1 in focal s390x: universe/python/optional/100% -> main
more-itertools 4.2.0-1 in focal: universe/misc -> main
pypy-more-itertools 4.2.0-1 in focal amd64: universe/python/optional/100% -> main
pypy-more-itertools 4.2.0-1 in focal arm64: universe/python/optional/100% -> main
pypy-more-itertools 4.2.0-1 in focal armhf: universe/python/optional/100% -> main
pypy-more-itertools 4.2.0-1 in focal i386: universe/python/optional/100% -> main
pypy-more-itertools 4.2.0-1 in focal ppc64el: universe/python/optional/100% -> main
pypy-more-itertools 4.2.0-1 in focal s390x: universe/python/optional/100% -> main
python-more-itertools 4.2.0-1 in focal amd64: universe/python/optional/100% -> main
python-more-itertools 4.2.0-1 in focal arm64: universe/python/optional/100% -> main
python-more-itertools 4.2.0-1 in focal armhf: universe/python/optional/100% -> main
python-more-itertools 4.2.0-1 in focal i386: universe/python/optional/100% -> main
python-more-itertools 4.2.0-1 in focal ppc64el: universe/python/optional/100% -> main
python-more-itertools 4.2.0-1 in focal s390x: universe/python/optional/100% -> main
python3-more-itertools 4.2.0-1 in focal amd64: universe/python/optional/100% -> main
python3-more-itertools 4.2.0-1 in focal arm64: universe/python/optional/100% -> main
python3-more-itertools 4.2.0-1 in focal armhf: universe/python/optional/100% -> main
python3-more-itertools 4.2.0-1 in focal i386: universe/python/option...

Read more...

Changed in python-importlib-metadata (Ubuntu):
status: New → Fix Released
status: Fix Released → Incomplete
status: Incomplete → New
Revision history for this message
Matthias Klose (doko) wrote :

not changing the NEW status

Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

FYI
   python3-defaults | 3.8.0-3 | focal-proposed | source
is still in proposed. But since the time to FF is getting close please have the kombu change ready to be pushed once python3-defaults is on 3.8 to make it in and allow to demote the packages as planned.

Revision history for this message
Corey Bryant (corey.bryant) wrote :

I've fixed this for now in kombu 4.6.7-1ubuntu1 by moving python3-importlib-metadata to Suggests. Once we get to focal+1 we can drop python3-importlib-metadata entirely.

Changed in kombu (Ubuntu):
importance: Undecided → High
assignee: nobody → Corey Bryant (corey.bryant)
milestone: none → ubuntu-20.04
Changed in kombu (Ubuntu):
status: New → Fix Committed
Revision history for this message
Corey Bryant (corey.bryant) wrote :

It turns out that dropping python3-import-metadata is causing problems for packages that depend on kombu when running with python3.7. I chatted with doko and cpaelzer in #ubuntu-server today, and the plan is that python3.7 will be dropped from Focal soon. In the mean time I'm going to reinstate python3-import-metadata to get unblocked and will drop it once again once python3.7 is no longer in focal.

Changed in kombu (Ubuntu):
status: Fix Committed → Triaged
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kombu - 4.6.7-1ubuntu2

---------------
kombu (4.6.7-1ubuntu2) focal; urgency=medium

  * d/control: Move python3-importlib-metadata back to Depends until
    Python 3.7 is dropped from Focal.

 -- Corey Bryant <email address hidden> Thu, 13 Feb 2020 13:47:52 -0500

Changed in kombu (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Corey Bryant (corey.bryant) wrote :

This should be fixed once and for all in kombu 4.6.7-1ubuntu3, where python3-importlib-metadata is dropped.

Changed in kombu (Ubuntu):
status: Fix Released → Triaged
Changed in python-importlib-metadata (Ubuntu):
status: New → Invalid
Changed in more-itertools (Ubuntu):
status: New → Invalid
Changed in python-zipp (Ubuntu):
status: New → Invalid
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kombu - 4.6.7-1ubuntu3

---------------
kombu (4.6.7-1ubuntu3) focal; urgency=medium

  * d/control: Drop python3-importlib-metadata now that Python 3.7 has
    been dropped from python3-defaults (LP: #1851393).

 -- Corey Bryant <email address hidden> Fri, 03 Apr 2020 09:50:58 -0400

Changed in kombu (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers